Skip to main content
PUT
/
v2
/
loyalty
/
programs
/
{programId}
/
customers
/
{customerId}
Update Loyalty Program Customer
curl --request PUT \
  --url https://api.loyalty.dog/v2/loyalty/programs/{programId}/customers/{customerId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "firstName": "<string>",
  "lastName": "<string>",
  "email": "[email protected]",
  "phone": "<string>",
  "points": 0,
  "currentMessage": "<string>",
  "customFields": {}
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

JWT access token obtained from POST /v2/token.

Headers

authorization
string | null

Path Parameters

programId
required
Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

customerId
required
Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

Body

application/json

The customer updating payload

Attributes: firstName (str | None, optional): The first name of the customer. Defaults to None lastName (str | None, optional): The last name of the customer. Defaults to None email (str | None, optional): The email address of the customer. Defaults to None phone (str | None, optional): The E164 phone number of the customer. Defaults to None customFields (Dict | None, optional): The values of the custom fields. Defaults to None

firstName
string | null
lastName
string | null
email
phone
string<phone> | null
points
integer
default:0
currentMessage
string | null
customFields
Customfields · object

Response

Successful Response